GrandBackup - Help Contents

GrandBackup Help

GrandBackup copies files and folders from one location to another on the same drive, another drive, across a network, or by FTP. You can set up Tasks that describe the source location(s), the destination location, and the frequency at which you want to copy the files. Additionally GrandBackup can monitors the source files for changes or additions and then automatically copies the new or changed files to their designated destinations. The program uses the familiar Windows Explorer interface. Task setup dialog box is easy and intuitive, that makes configuration jobs a snap.

Advanced options include PKZip-compatible compression, password protection, directory synchronization, and background thread priority control. You can also include or exclude a specific file or set of files from the copy and keep any number of old versions of files. Once you configure the Tasks with your important file locations, the program sits as an icon in the Windows system tray and unobtrusively copies files in the background.

For a full list of GrandBackup features, please read Feature Highlights.

Note: This download expires after 30 days. The cost to register is US $29.95.

GrandBackup is a product of Regall LLC dba ObjectRescue (www.objectrescue.com) . Please, click here to learn more about Regall LLC.

See also:
Feature Highlights
Purchasing Information

GrandBackup is a product of Regall LLC dba ObjectRescue.com.
Copyright © 1996-2007 Regall LLC dba ObjectRescue.com. All rights reserved.


GrandBackup - Features Highlights

Feature Highlights and Edition Comparison

GrandBackup is sold in three separate editions, which are compared in the table below.

 | $29.95 | $49.95 | $79.95
Feature / Product Edition | GrandBackup Personal | GrandBackup Business | GrandBackup Ultimate
Interface |  |  |
Explorer-style user interface |  |  |
Easy and intuitive Backup Task setup Wizard |  |  |
Backup Task Grouping |  |  |
Audial and visual event alerts (tray balloon hints) |  |  |
Multi-threaded background processing |  |  |
Customization of Logged events |  |  |
Possibility of interface language selection |  |  |
Supported destination media |  |  |
Hard disks, flash drives, etc. |  |  |
CD, DVD, CD-R, DVD-R, CD-RW, DVD-RW |  |  |
Support for all LANs |  |  |
FTP locations |  |  |
Email address |  |  |
General |  |  |
File and folder synchronization |  |  |
Multiple source folders support |  |  |
Optional preservation of older file versions, and obsolete files in special archive folders |  |  |
Universal Naming Convention (UNC) support |  |  |
Disk Spanning - span your backup copy across multiple removable disks |  |  |
Comprehensive file and folder filtering |  |  |
Password protection of Tasks |  |  |
Power Management Options |  |  |
Email notifications of most Task events |  |  |
Autorun and Schedule |  |  |
SmartDetect - Run Tasks when specific media are detected |  |  |
Autorun Task on folder contents change |  |  |
Automatic scheduled backups with comprehensive scheduling options |  |  |
Integration with Microsoft(r) Task Scheduler |  |  |
Running Tasks with Hot Keys |  |  |
Other |  |  |
Command-line program execution and control |  |  |
Using folder name expansion variables |  |  |
Windows hardware profile support |  |  |
"One Task at a time" option to protect your system from overload |  |  |
Run programs before and/or after running the backup Tasks |  |  |
Data compression and encryption |  |  |
Built-in ZIP compression (with password protection) |  |  |
Data encryption, up to 256-bit strong |  |  |
External compressors support (PkZIP, RAR, etc.) |  |  |
External encryption tools support |  |  |
Deleted Data Recovery |  |  |
Integrated Digital ObjectRescue Professional |  |  |
 | GrandBackup Personal | GrandBackup Business | GrandBackup Ultimate
Price | $29.95 | $49.95 | $79.95

See also:
Purchasing Information
System Requirements
GrandBackup Installation
Frequently Asked Questions (FAQs)


GrandBackup - Quick Start

Quick Start

This section explains the basic steps you should take to begin using GrandBackup.

Tip Tip:
To learn more about the GrandBackup user interface click here.

When you run GrandBackup for the first time, it will launch the Initialization Wizard (you can also launch it manually by clicking on Tools -> Initialization Wizard) which will help you to quickly and comfortably configure the basic settings. You can choose how the program will run - minimized at system startup (in the background with the icon in the system tray), or as a normal application when it is needed (you can change this behavior afterwards in the Preferences - Startup and Shutdown dialog); you can enable audio notifications (two sound themes are available), etc.

The Wizard will finish by offering you to create a new backup Task (all the settings of a particular backup/synchronization job are stored as the properties of the so-called Task) with the help of the New Task dialog (invoked manually as Task -> New...) or, if you have been using an earlier version of this software, to import your existing Tasks (Tools -> Task Import Wizard... is the manual alternative).

If you opt for automatic startup (recommended), GrandBackup will run in the background and perform its Tasks automatically if they are so configured. You can right-click on the GrandBackup icon in the system tray for a menu of available commands.

When you double-click the icon, the GrandBackup main window opens.

Above we have described the most basic features of GrandBackup to get you started. However, GrandBackup offers much more. Please read the documentation to learn more about the powerful features of GrandBackup and discover how you can customize it to suit your preferences!

See also:
Purchasing Information
Task Properties
System Requirements
Frequently Asked Questions (FAQs)


ObjectRescue.com - Other software

Other ObjectRescue.com Software

Data recovery and undelete

PhotoRescue Pro

PhotoRescue Pro - Recovers lost images from a whole host of multimedia devices - from digital cameras, PDAs and mobile phones to CD/DVD & PC Hard Drives. The program supports a wide range of file formats: JPEG, GIF, BMP, CRW, etc.

More Information

Download

Order Now (US $29.95)

MediaRescue Pro

MediaRescue Pro - Recovers lost MP3, WMA, JPEG, PNG, GIF, AVI, MOV, WAV, MIDI and other multimedia files from a whole host of multimedia devices - from digital camcoders, digital still cameras, digital audio recorders, PDAs, mobile phones to PC hard drives.

More Information

Download

Order Now (US $39.95)

DocumentsRescue Pro

DocumentsRescue Pro - Recovers lost document files from PCs, PDAs, SmartPhones, CD/DVD disks and other storage devices with a wide range of file formats supported: DOC, XLS, PPT, PDF, RTF, LIT, 3DS, etc.

More Information

Download

Order Now (US $34.95)

ObjectRescue Pro

ObjectRescue Pro - Recovers lost files from any media. Features innovative recovery algorithms and contains advanced data-recovery capabilities that allow you to detect file types that include music files, images, video, documents, mail or just about anything.

More Information

Download

Order Now (US $49.95)

FileRescue Professional

FileRescue Professional - An easy to use but powerful software utility designed to restore accidentally deleted files and folders. It allows you to recover files that have been deleted from the Recycle Bin, by virus attacks or software faults. 100% free to try.

More Information

Download

Order Now (US $49.95)

Data backup and synchronization

GrandBackup

GrandBackup - Keep the backup copy of your important files in a secure location! GrandBackup copies files and folders from one location to another on the same drive, another drive, or across a network. You can set up projects that describe the source location, the destination location, and the frequency at which you want to copy the files.

More Information

Download

Order Now (US $29.95)

File, disk and flash memory wiping

ObjectWipe

ObjectWipe is a solution to keep your computer privacy: wipe files, disk drives / flash memory and unused disk space so your data can never be accessed or recovered. The program uses either fast or secure erase algorithms. Files and folders may be combined in wipe lists to be erased in a single procedure. Supports both the FAT and NTFS file systems.

More Information

Download

Order Now (US $19.95)

Bad file troubleshooting and fixing

ObjectFixZip

Object Fix ZIP is a program for repairing ZIP archive files. It can reconstruct a corrupted Zip file and try to create a new Zip archive extracting the files where possible.

More Information

Download

FREE

Unreliable and damaged media reading

AnyReader

Any Reader - Effectively copies corrupt data from any type of disks or faulty connections when standard copying methods fail. AnyReader supports resumed downloads from a remote PC if the connection was broken during the copying (especially useful for Wi-Fi).

More Information

Download

Order Now (US $29.95)

* This software is designed to run on all modern Windows platforms, including Windows NT/2000/XP/2003, unless stated otherwise.


GrandBackup - About ObjectRescue

About GrandBackup

GrandBackup is a product of Regall LLC d.b.a. ObjectRescue.com.

All the contact information you may ever need is here: Contacts.

ObjectRescue is a small independently owned software development company founded in 1996. At ObjectRescue, we develop shareware products for Microsoft Windows, our main areas of activity being recovery of accidentally deleted files and folders, data backup, copying unreadable files, secure wiping of data, detection and removal of duplicate files, and the like. In addition to product development, we provide ongoing technical support for registered users of our products.

Our customer base includes corporate computer professionals, first-time users, and every kind in between.

Please visit our main website - www.objectrescue.com ,
as well as one dedicated to this product - www.grandbackup.com –
you will find information about new releases of ObjectRescue products, new beta versions, special offers, announcements, and more.

See also:
Acknowledgements
Purchasing Information


GrandBackup - Acknowledgements

Acknowledgements

Many people have helped make GrandBackup what it is by making suggestions, beta testing, reporting bugs, etc., but particular thanks goes to the following individuals (without any order): Alexander Gorlach, Alexander Katalov, Vladimir Katalov, and Alexey Alexandrov.

And special thanks to Alexander Vildyaev for proofreading English documentation and web pages and translating the English language user interface.

GrandBackup incorporates compression code by KpGb Software. There are no extra charges or costs due to the use of this code.

We are also greatly thankful to all our freelance translators of the program’s user interface who have helped us to attract those new users all around the world whose mother tongue is other than English.

A hearty Thank You to all our friends!

See also:
About GrandBackup
About ObjectRescue


GrandBackup - Support and Questions

Support and Questions

If you have a question that is not answered in this manual, please take a minute to look at our Frequently Asked Questions page before contacting technical support. There is a good chance that you will find the answer there. When describing your problem, please be as specific as possible. A detailed description of the problem will help us solve it much faster. Please don't forget to mention the OS version, the program version, and all other details that you think may be relevant.

Our staff is available to respond to your inquiries 24 hours a day, excluding holidays. Email and voice messages are normally answered within one business day.

Support: http://www.objectrescue.com/support/.

If you have any comments, or suggestions for future releases, please don't hesitate to email them to us.

See also:
Contacts
Frequently Asked Questions (FAQs)
System Requirements


GrandBackup - Contacts

Contacts

Interested parties are directed to the contacts below for any potentially profitable business propositions.

Company Name:
Regall LLC d.b.a. ObjectRescue.com

Contact E-mail Address:
mailbox@grandbackup.com

Support:
For Technical Support Please Click Here

Contact WWW URLs:
http://www. grandbackup .com/
 http://www. objectrescue .com/

Address:
2-4 Garazhnaya St, Office 205, Kaliningrad, 236029, Russian Federation

Telephone:
+1 (609) 9100-739

Toll-Free (US and Canada):
+7 (888) REGALL-8

Time zone:
GMT +2, CET +1.

See also:
About ObjectRescue
Support and Questions
Frequently Asked Questions (FAQs)


GrandBackup - Frequently Asked Questions (FAQ's)

Frequently Asked Questions (FAQs)

Please see our FAQs on the web: http://www.objectrescue.com/products/grandbackup/faq.html

See also:
Support and Questions


GrandBackup - Purchasing Information

Purchasing Information

Ordering and Payment Methods
Order through the World Wide Web
Education Discounts

Ordering and Payment Methods

We accept five types of payment: Online, Fax, Phone, Wire Transfer, Mail and Invoices / Purchase orders. Secure Payments assured. All payment must be in US currency.

Our software is available for immediate download. Once you have purchased the product by filling in the online order form, a license will be sent to you via email to unlock the software for use. You may download the trial software before or after you complete the purchase process.

Please visit http://www.grandbackup.com/order/ to discover all ordering options.

Order through the World Wide Web

Registration is instant and you will be sent an unlock code by e-mail within a few moments. This is the fastest and easiest way to order ObjectRescue.com products. Your credit card information is sent directly to the credit card processor in a highly secure manner. We protect you by ensuring that nobody but you and the automated credit card processor will see your credit card information. You can go directly to the order page, click on the hyperlink with the product name and E-Commerce service you like to use:

Secure online registration of single license:

 | GrandBackup Personal | GrandBackup Business | GrandBackup Ultimate
RegSoft.com (America) | $29.95 Go to secure ordering page | $49.95 Go to secure ordering page | $79.95 Go to secure ordering page
ShareIt.com (Europe) | €25.55 Go to secure ordering page | €37.55 Go to secure ordering page | €65.55 Go to secure ordering page
PayPal.com (USA, Canada) | $29.95 Go to secure ordering page | $49.95 Go to secure ordering page | $79.95 Go to secure ordering page

* For EU customers: VAT is included in the price, your card will be charged only the above amount.

Products Pricing

Number of licenses depending on product edition:

Number of licenses: | Price per unit:
 | GrandBackup Personal * | GrandBackup Business * | GrandBackup Ultimate *
1 2..5 6..10 11+ | $29.95 US $24.95 US $19.95 US $14.95 US Go to secure ordering page | $49.95 US $34.95 US $29.95 US $24.95 US Go to secure ordering page | $79.95 US $54.95 US $49.95 US $34.95 US Go to secure ordering page
Unlimited (Site License) | $999.95 US Go to secure ordering page | $1699.95 US Go to secure ordering page | $1999.95 US Go to secure ordering page

* Please see products editions features comparision chart to know the difference between them.

Our products are licensed on per computer basis, not per network, per site or per company. Please read the License Agreement for further details.

If you are interested in an unlimited license, please contact our sales staff: sales@objectrescue.com

Education Discounts

Eligible Academic and Educational Institutions and the Students, Faculty and Staff of accredited Colleges, Universities and other institutions are able to purchase ObjectRescue.com software at a discount of up to 50%. For more information on eligibility, click here. If you wish to purchase Academic versions of ObjectRescue.com software, you should e-mail sales@objectrescue.com for pricing and purchase arrangements.

See also:
Quick Start
About GrandBackup
About ObjectRescue
Frequently Asked Questions (FAQs)
Support and Questions
Contacts


GrandBackup - Copyright/License/Warranty

Copyright/License/Warranty

GrandBackup ™ Copyright © 1996-2005 by ObjectRescue. All rights reserved.

Registered Version

One registered copy of GrandBackup may either be used by a single person who utilizes the software personally on one or more computers, or installed on a single workstation used non-simultaneously by multiple people, but not both.

You may use a registered version of GrandBackup to back up a number of networked workstations, provided that you have obtained individual licenses for the software covering all the workstations whose data will be backed up over the network. For instance, if 8 different workstations actually utilize GrandBackup to back up their data over the network, each workstation must have its own GrandBackup license, regardless of whether they use GrandBackup concurrently or not.

In other words, a registered version of GrandBackup may be used as a "hub" to copy files from one computer connected to a network to another computer connected to the network, provided that you have obtained individual licenses for all the computers whose data will be backed up by the hub.

License Agreement

You should carefully read the following terms and conditions before using this software. Unless you have a different license
agreement signed by ObjectRescue, your use of this software indicates your acceptance of this license agreement and warranty.

GrandBackup is shareware. This means:

1. ObjectRescue exclusively owns all copyrights to GrandBackup.

2. Anyone may use this software during a test period of 30 days. Following this test period of 30 days or less, if you wish to continue to use GrandBackup, you MUST register.

Once registered, the user is granted a non-exclusive license to use GrandBackup on as many computers as defined by the licensing terms above according to the number of licenses purchased, for any legal purpose. The registered GrandBackup software may not be rented or leased, but may be permanently transferred, in its entirety, if the person receiving it agrees to the terms of this license. If the software is an update, the transfer must include the update and all previous versions.

3. The GrandBackup unregistered shareware version may be freely distributed, provided the distribution package is not modified. No person or company may charge a fee for the distribution of GrandBackup without written permission from the copyright holder.

4. GRANDBACKUP IS DISTRIBUTED "AS IS". NO WARRANTY OF ANY KIND IS EXPRESSED OR IMPLIED. YOU USE IT AT YOUR OWN RISK. THE AUTHOR WILL NOT BE LIABLE FOR DATA LOSS, DAMAGES, LOSS OF PROFITS OR ANY OTHER KIND OF LOSS WHILE USING OR MISUSING THIS SOFTWARE.

5. You may not use, copy, emulate, clone, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the licensed program, or any subset of the licensed program, except as provided for in this agreement. Any such unauthorized use shall result in immediate and automatic termination of this license and may result in criminal and/or civil prosecution.
ObjectRescue reserves all rights not expressly granted here.

6. Installing and using GrandBackup signifies acceptance of these terms and conditions of the license.

7. If you do not agree with the terms of this license you must remove all GrandBackup files from your storage devices and cease to use the product.

Thank you for using the original GrandBackup.

See also:
Purchasing Information
About GrandBackup
Support and Questions


GrandBackup - System Requirements

System Requirements

Basically, what is good for your Windows operating system is more than enough for GrandBackup.

GrandBackup has been tested and found to work as intended under the following Microsoft operating systems:

  • Windows NT 4.0;
  • Windows 2000;
  • Windows XP;
  • Windows 2003;
  • Windows Vista.

Administrator privileges are required to run GrandBackup under Windows NT/2000/XP/2003/Vista.

No other programs are required for GrandBackup to operate.

See also:
Installation


GrandBackup - Related Files

Related Files

Filename | Description
GrandBackup.exe | Main executable
Crypt.exe | File encryption/decryption tool
GrandBackup.chm | Documentation in Windows HTML help format
English.lng | English language interface file
ReleaseNotes.htm | Introductory, purchasing, and version history information
License.htm | License agreement/warranty
\Media\ | Folder with audio themes for event notification

See also:
System Requirements


GrandBackup - Installation

Installation

If you have obtained GrandBackup not from our web page, but from some other source (a magazine CD or some software library), please visit GrandBackup home page – you will probably find a newer version there; usually we release updates about once a month.

To install GrandBackup from the folder where you have downloaded or copied the distributive, follow this procedure:

1) Run "grandbackup_setup.exe".

2) The GrandBackup Setup program will issue a number of prompts. Unless you have a reason to override the defaults, it is strongly recommended that you accept the installation default settings (just press OK, Yes, or Next, as appropriate).

See also:
System Requirements


GrandBackup - Uninstallation

Deinstallation

Under Windows NT/2000/XP/2003/Vista you can uninstall GrandBackup from the Control Panel -> Add or Remove Programs window. Highlight "GrandBackup" in the list and press “Change/Remove”.

There is also an Uninstall shortcut in All Programs -> GrandBackup on the Start menu.

Technical details:

The Uninstall procedure consists of the following:

  • Verify it is safe to uninstall
  • Delete the files in the GrandBackup folder if they were installed by this version of GrandBackup and if the files’ date/time stamp matches that of GrandBackup.exe
  • Remove the GrandBackup icons and program group
  • Remove the GrandBackup entries from the Windows registry

To uninstall manually:

  1. Exit GrandBackup
  2. Delete the folder “C:\Program Files\GrandBackup” or the folder where you installed GrandBackup
  3. Remove the registry key “HKEY_CURRENT_USER\Software\Object Rescue\GrandBackup” for all users

See also:
System Requirements


GrandBackup - User Interface

User Interface

Let your mouse pointer hover over any outlined part of the graphic below to display popup help. Click to view additional information.

Main GrandBackup Window

1. The GrandBackup menu contains five sections - Task, View, Options, Tools and Help. With the help of the menus you can easily access any components of the program.

2. The most common commands can be found on the GrandBackup main toolbar.

3. Use the Task Group List to organize Tasks by category in task groups or to launch all the Tasks in a group simultaneously.

4. A Task List is a catalog of your tasks. Note that the list contains the tasks of the currently selected group (or all of your tasks if the uppermost group “All Tasks” is selected).

5. Activity Log is a detailed list of the selected Task's actions.

6. Program Tips - helpful advice on how to use the program.

7. The Status Bar provides additional information while using GrandBackup.

See also:
Quick Start
Task Properties


GrandBackup - Menus

Menus

This section thoroughly describes GrandBackup menu commands.

Task [image] Commands for working with tasks

New... (Ctrl+N) | Create a new Task
Properties... (Alt+Enter) | Display Properties of the selected Task
Delete... (Delete) | Delete the selected Task
Duplicate | Create a duplicate of the selected Task

Task Groups : Sub menu Commands for managing task groups

Run Group | Start all of the selected group's Tasks
Pause Group | Halt all of the selected group's running Tasks
Stop Group | Terminate all of the selected group's running Tasks
New Group... | Create a new task group
Rename Group... | Rename the selected task group
Delete Group... | Delete the selected task group
Reorder... | Change the order of task groups
Start (Enter) | Execute the selected backup Task
Pause (Ctrl+S) | Suspend or resume the selected Task
Stop | Terminate the selected Task unconditionally

Close (Alt+F4)

Close the current window / Shut down GrandBackup

View [image] Commands for customizing the main GrandBackup window

Menu Bar | This is to show/hide the menu bar in the main GrandBackup window (hiding is disabled).
Tool Bar | This shows or hides the toolbar in the main GrandBackup window. You can hide or unhide the toolbar according to your preferences.
Task Groups | Show/hide the Task Group List panel.
Log | Show/hide the Activity Log panel.
Program Tips | Show/hide the Program Tips panel.
Status Bar | This shows or hides the Status Bar.
Large Icons | Display Tasks as large icons
Small Icons | Display Tasks as small icons
List | Display Tasks as a list
Details | Display Tasks as records in a table

Arrange Icons by : Sub menu Commands for setting the order of Task appearance

Name | Sort Tasks alphabetically by name
Type | Sort Tasks by type
Last Run | Sort Tasks by last run time
Next Run | Sort Tasks by next run time
Source | Sort Tasks by source folder
Destination | Sort Tasks by destination folder
Sort Order A..Z | Change Task sort order to ascending (A..Z)
Sort Order Z..A | Change Task sort order to descending (Z..A)

Options [image] The program's main settings, including the default parameters for all Tasks

Program Options... | Display/change user preferences
Startup and Shutdown... | Modify startup and shutdown options
Global Performance... | Modify the program performance settings
Log Display... | Modify log diplay options
Interface Language... | Set the preferred interface language, if available
External Compressors... | Modify command-line parameters of external compressors
External Encryptors... | Modify command-line parameters of external encryptors
Task Defaults... | Configure default settings for all Tasks

Tools [image] Various service functions, configuration and maintenance wizards

Global Suspend (Ctrl+S) | Halt all currently running Tasks; any subsequently started additional Tasks will also be halted until Global Suspend is toggled again
Disable Scheduler | Switch off the internal scheduler; any time-dependent Task runs will not take place

Create Shortcut...

Select a folder to place a shortcut for the currently selected Task

Task Import Wizard... | Launch a wizard to import backup jobs from other data backup software or older GrandBackup versions
Initialization Wizard... | Launch a wizard to configure the basic defaults for the program
Settings Maintenance Wizard... | Launch a wizard to backup/restore all GrandBackup settings, including those of all existing Tasks

Help [image] GrandBackup functionality and usage information

Contents (F1) | This command displays GrandBackup Help contents
Program Guide | View the very basic steps you need to follow to start using GrandBackup - Quick Start
Search for help on... | Search for advice on a specific topic
Ordering Information | Display software registration and ordering information
Visit ObjectRescue.com Website | This command will start your default Web browser and open the ObjectRescue website - www.objectrescue.com
Ordering Online | Detailed information about purchasing GrandBackup is located at www.GrandBackup.com
About... | This displays GrandBackup version and build number, copyright and license information.

See also:
User Interface
Main Toolbar
Quick Start


GrandBackup - Main Toolbar

Main Toolbar

This section thoroughly describes the toolbar commands.

The most common commands can be found on the GrandBackup toolbar. You can move this toolbar and place it wherever it is convenient for you.

The following commands (from left to right) are on the toolbar:

Add task (Ctrl+N) | Create a new Task (see also: Quick Start)
Edit task (Alt+Enter) | Display the Properties of the selected Task
Delete task (Delete) | Delete the selected Task
Start (Enter) | Execute the selected Task
Pause (Ctrl+S) | Suspend or resume the selected Task
Stop | Terminate the selected Task
Global Suspend | Suspend all currently running and subsequently started Tasks
Disable Scheduler | Disable the Task Scheduler
Options | Display Program Preferences
GrandBackup Homepage | Visit www.grandbackup.com
Help contents (F1) | This command invokes GrandBackup Help contents
About | Displays the program's brief description, version and build number, as well as copyright and license information.

See also:
User Interface
Menus
Quick Start


GrandBackup - Working with Task Groups

Working with Task Groups

Using this Task Group List you can organize different Tasks in Task Groups. This makes locating specific Tasks easier, and also allows you to start/stop several grouped Tasks at once.

The currently selected group is highlighted. The task list shows the selected group’s Tasks, or all existing Tasks if the All Tasks group is selected.

You can show or hide Task Groups according to your preferences with View -> Task Groups.

All Tasks Group

The uppermost (root) group is called All Tasks and cannot be deleted or renamed. Selecting this group shows all Tasks regardless of their assigned groups.

To create a new Task Group

Right-click on the All Tasks group, select [image] New... and enter a name for the new group.

To delete a Task Group

Right-click on the group you want to delete and select [image] Delete.... If the group has any Tasks in it, they will be moved to All Tasks group automatically. The All Tasks group cannot be deleted.

To rename a Task Group

Right-click on the group you want to rename, select [image] Rename... and enter a new name for the group. The All Tasks group cannot be renamed.

To move a Task to a Task Group

Drag a Task to a group to move it to that group. The Task will be visible under this group and under the All Tasks group. When you create a new Task it is automatically assigned to the current group. You can move it to another group or to the All Tasks group after it is created.

To remove a Task from a Task Group

Drag a task to the All Tasks icon to remove it from the current group.

To run all Tasks in a Task Group

Right-click on the group and select [image] Start.

See also:
User Interface
Quick Start
Task Properties


GrandBackup - Working with tasks list

Working with the Task List

This list displays the Tasks of the selected task group, or all of your Tasks if All Tasks is selected:

To create a new Task

Right-click anywhere on the Task List panel and select [image] New... (alternatively, you can press the "INSERT" key on your keyboard) to launch the Task Properties dialog for your new GrandBackup Task.

Tip:
Open the Quick Start help topic to view the very basic steps you need to follow to start using GrandBackup.

To change Task Properties

Right-click on the Task you want to modify, select [image] Properties... (alternatively, you can press "ALT+ENTER" on your keyboard) to launch the Task Properties dialog for that Task.

To delete a Task

Right-click on the Task you want to delete and select [image] Delete.... (alternatively, you can press the "DELETE" key on your keyboard). The program will request to confirm the deletion; if you answer “Yes” the Task will be deleted.

To run a Task manually

Right-click on the task and select [image] Start (alternatively, you can press the "ENTER" key on your keyboard).

To organize different Tasks in Task Groups

See: Working with Task Groups.

See also:
User Interface
Quick Start
Task Properties


GrandBackup - Program Tips

Program Tips

This panel displays helpful advice on using GrandBackup.

The Program Tips panel shows a new program tip every time you start GrandBackup. You may show / hide the Program Tips panel from View -> Program Tips.

Right-click on the Tips panel for this context menu:

Next Tip | Show the previous program tip
Prev Tip | Show the next program tip
More Help | Open a Help window with more information about the currently displayed program tip (if available)
Help Contents | Open the Help contents window
Hide | Hide the Program Tips panel

See also:
User Interface
Quick Start


GrandBackup - Activity Log Display

Activity Log

GrandBackup keeps an activity log in the Log file you specified and also writes all output to the Log view panel. This will assist you by showing which files and folder levels have been processed. Each Task displays its own log here, irrespective of any others.

To view the Log panel

To show or hide the log display, select View -> Log

To find text in the Log file

Right-click anywhere on the Log panel and select [image] Search... (or Ctrl+F). Enter the text you want to find in the Find what: field and press OK, then you can select [image] Search Again... (or F3) to continue searching.

Tip

Tip:
You can search the log for the word “Error” to look for errors in a backup job.

To save the Log file

You can save the log file for later viewing or analysis. To save the log file, right-click on the Log panel and select [image] Save As... (Ctrl+S), then enter a filename.

Tip

Note:
By default, all Tasks write their logs to a common file called GrandBackup.log in the program folder. For more information on logging settings see Preferences -> Task Defaults -> Activity Logging

To set logging options

To change GrandBackup activity logging settings, right-click on the Log panel and select [image] Options... to show the Preferences | Log Display dialog.

See also:
Activity Logging Options
User Interface
Quick Start


GrandBackup - Status Bar

Status Bar

The Status Bar provides additional information while using GrandBackup. This information includes the total number of Tasks, the number of currently running Tasks, and the Task progress indicator. You can toggle the Status Bar display by clicking on View -> Status Bar.

See also:
User Interface
Quick Start


GrandBackup - Program Preferences

Program Preferences

You can change many of GrandBackup configuration settings from the Preferences dialog box. To access the dialog box, choose [image] Program Options... from the Options menu or press [image] Options on the Toolbar. The options in the Preferences dialog box are grouped under several tabs. When you have finished setting preferences, press OK.

Click on a link in this list to get more information:

Startup and Shutdown
Global Performance
Log Display
Interface Language
External Compressors
External Encryptors
Task Defaults

See also:
Quick Start


GrandBackup - Preferences - Startup and Shutdown

Preferences: Startup and Shutdown

Deciding when GrandBackup should start:

Run at system startup - Check to start GrandBackup when you log in. Uncheck to only run GrandBackup when you need it.

Run minimized - Check to start the program as an icon in the system tray. Uncheck to see the main window when GrandBackup starts.

Hide icon from system tray - Check to hide the GrandBackup icon from the system tray. If it is hidden, GrandBackup will run in the background but you will not see the icon. If you want to see the main screen while it is running in the background, simply start GrandBackup again from the Start menu.

Shut down when main window is closed - Check to exit GrandBackup when you close the main window. If this is not checked GrandBackup closes the main window but continues to run minimized in the system tray.

Show shutdown confirmation dialog - Check to display the GrandBackup Shutdown confirmation dialog when you exit GrandBackup.

Show main window on Hot Key - Specify the Hot Key that will show the main window of GrandBackup.

Show splash screen at startup - If checked, GrandBackup will display its splash screen whenever you launch the application. The splash screen shows the ObjectRescue logo and the version number of GrandBackup.

See also:
Program Preferences


GrandBackup - Preferences - Global Performance

Preferences: Global Performance

Multi-threading is, essentially, multitasking within an application. Here you can allow or prevent running two or more GrandBackup Tasks simultaneously.

( ) Enable - several Tasks can run simultaneously. This will increase system load and may reduce productivity in other applications.

( ) Disable - only one Task can run at a time. All started Tasks will run in turn, one after another. With this option checked, for example, if a Task is already running and you launch a second Task, the second Task will wait until the first Task finishes and only then begin copying or moving files.

Idle time when starting up with Windows - As you may have noticed, starting up Windows can be a resource-guzzling operation, depending on your particular setup, so if you also configured GrandBackup to run at system startup you may want to avoid putting your PC under any additional strain at this time. This option allows you to suspend any time-scheduled Tasks for a specified number of minutes during Windows startup. Please bear in mind that this option only affects those settings of the Internal Scheduler that are time-related (as opposed to event-related).

[ ] Delay scheduled Tasks when Windows starts - Check this to alleviate your PC startup

Pause for __ minute(s) - Enter the time in minutes it normally takes your Windows operating system to boot

Folder for temporary files - the repository for GrandBackup temporary files.

( ) System default temporary folder - Check this if you wish to rely on your Windows settings

( ) Custom temporary folder - Check this if you prefer a different/separate temporary folder for GrandBackup, then type in the full path or press Browse to choose an existing folder

You can also click on the link at the bottom to quickly switch to default Task CPU Performance, changing this will also influence GrandBackup performance.

See also:
Program Preferences


GrandBackup - Preferences - Log Display

Preferences: Activity Log display settings

You can set your Log display preferences here -- font, colors, etc. What exactly to include in the Log is configured elsewhere -- on the Task Defaults tab here or, for specific Tasks, in Task Properties.

Display colors (BG & FG) - set the colors (background and foreground) for the following log entries:

  • General messages (Task start, finish, summary...)
  • Messages about normally processed files
  • Messages about skipped files
  • Warning messages
  • Error messages
  • FTP sent commands
  • FTP received responses
  • External programs console output

"Change font" - Press this to set the desired font for the Log as it appears in the program GUI. Font size and Font name above the button indicate your choice.

[ ] Show grid - Check this to display grid lines in the GUI-enabled Log and on the colored sample graphic.

Sample - space for testing your Log display settings, instantly updated.

See also:
Program Preferences


GrandBackup - Preferences - Interface Language

Preferences: Interface Language

Yes, GrandBackup can communicate in your language!

Choose Options -> Interface Language from the menu to display the language selection dialog. In this dialog all installed interface languages are listed. Select the language file to be used from the list and press OK.

Note

Note:
After changing the interface language the program must be restarted.

If your language is not listed here, you can create the required file yourself. It is quite simple: just use the file english.lng (located in GrandBackup program folder) as a template; translate all the words and sentences from English into the language of your choice. The file has to be saved (in pure text format) as yourlanguage.lng (e.g. esperanto.lng).

Just three notes here. First, don't translate in english.lng the words in square brackets (e.g. [Translations] and [Messages] - those are the "standard" headers which should not be changed), and the words to the left of the "=" sign because the program uses those strings as an ID of the translated text. Second, try to keep the sentences as short as they appear in the English version – otherwise they probably will not fit in the dialog boxes; in some cases the program may even crash if some messages are too long. And last: don't change things like %s, %d or 0x%08X – these are the format specifiers.

Also, the "&" character must not precede the same letters in different words on the same user-interface screen, otherwise the keyboard shortcuts will not work as intended. If it does after translating, just put it in front of some other fairly distinctive letter in the translated word.

By the way, don't forget to inform us that you've made a new international version – we'll include this file into the next version of GrandBackup. If you contact us prior to starting the translation (to ascertain that you're the only person who is doing this work), you can receive free registration!

See also:
Program Preferences


GrandBackup - Preferences - External Compressors

Preferences: External Compressors

GrandBackup boasts a built-in ZIP-archiving module. Besides, the program supports virtually all external data-archiving utilities -- PkZIP, RAR, etc.

Note

Note: These utilities are not bundled with GrandBackup and have to be acquired separately if needed.

This tab allows you to configure the command-line parameters for external archiving utilities. GrandBackup provides default settings for ACE, AIN, ARJ, BZip, CAB, GZip, IMP, InstallShield, JAR, RAR, RK, TAR and ZIP. You may never need to change these settings, but if you do, it's simple enough.

External archiver commands and parameters - Choose the archiver whose settings you wish to configure from the drop-down list. If it's not in the list, press "Add...". If it shouldn't be in the list, select it and press "Delete...".

You can adjust the command-line parameters for the following commands:

  • Extract - Extract all files from archive
  • Extract without paths - Extract all files from archive not maintaining the paths
  • Test - Test all files in archive for integrity
  • Comment archive - Append comment to archive
  • Add files - Add all files to archive
  • Add files and folders - Add all files and folders to archive
  • 'All files' mask - Include-all wildcard-character mask
  • Archive file extension - Filename extension for this archiver type
  • Compression level - Command-line parameter for the "Minimum", "Medium" and "Maximum" compression levels.

If an archiver does not support a particular command, leave the corresponding field blank.

You can specify the command lines for different archiving operations, the mask to be used to select all files and the archive extension (it must not begin with a dot).

The following variables can be used:

  1. %%A - Archive name.
  2. %%W - Temporary folder, including the trailing backslash.
  3. %%P - Password.
  4. %%R - Current archive folder.
  5. %%L - Filelist name. A filelist is a file containing the names of files to be processed by the archiver (see also Q, q, S, M, N, A below).
  6. %%F - Names of one or more files to be processed. If all names cannot be placed in a single string, the archiver will be executed several times until all file names are exhausted. By default, the maximum total command length is 127 characters, but you can specify it directly after %%F, for example %%F512.
    The variable %%F should only be used if the archiver in question does not support filelists.
  7. %%E<errorlevel> - Maximum acceptable command errorlevel. For example, %%E2 indicates that errorlevels 0, 1 and 2 are acceptable. This variable can be specified anywhere in a command. If it is absent, only errorlevel 0 is considered successful.
  8. %%S - Put this in the command line to insert additional switches, like those responsible for compression levels. If this variable is absent, switches are added at the end of the command line.

Variable modifiers Q, q, S, M, N, A can be used to change file names format details:

  • 'Q' - quote names with spaces;
  • 'q' - quote all names;
  • 'S' - use '/' instead of '\' in pathnames;
  • 'M' - transfer folder names to archiver as 'foldername\*.*';
  • 'N' - transfer folder names to archiver as 'foldername';
  • 'A' - use ANSI encoding.

These modifiers can be specified immediately after %%F or %%L without spaces. 'A' also can be used with %%A. Several modifiers are allowed, for example %%LMN or %%FQSN are valid. If neither 'M' nor 'N' modifier is specified, 'N' is assumed. If both 'M' and 'N' are specified, both 'foldername' and 'foldername\*.*' will be transferred to the archiver.

If a part of the external archiver command string is enclosed in { } braces, it will be added to the resulting string only if this part contains at least one non-empty variable from those described above.

Tip

Tip: For GrandBackup to be able to interact with an external archiver, the archiver executable must be accessible by Windows and the environment variable PATH must point to the folder the archiver is in.

To reset all external archiver settings to their default values, press "Restore Defaults".

See also:
Program Preferences


GrandBackup - Preferences - External Encryptors

Preferences: External Encryptors

GrandBackup is shipped complete with a data-encryption module supporting the RC3, DES and 3DES formats. Besides that, the program can work with any encryption utilities supplied by 3rd-party software vendors.

Note

Note: These utilities are not bundled with GrandBackup and have to be acquired separately if needed.

This tab allows you to configure the command-line parameters for external encryption utilities. GrandBackup provides default settings for the RC3, DES, and 3DES algorithms. You may never need to change these settings, but if you do, it's simple enough.

External encryptor commands and parameters - Choose the encryptor whose settings you wish to configure from the drop-down list. If it's not in the list, press "Add...". If it shouldn't be in the list, select it and press "Delete...".

You can adjust the command-line parameters for the following:

  • Encrypt - Encrypt file command
  • Decrypt - Decrypt file command
  • Encrypted file extension - Filename extension for this encryptor output
  • Description - A brief description of this encryption algorithm, also shown in Task Properties-->Encryption

If an external encryptor does not support a particular command, leave the corresponding field blank.

You can specify the command lines for different encrypt/decrypt operations. GrandBackup supports only single-file operations, i.e. one encrypted file in Destination for one non-encrypted file in Source.

The following variables can be used:

  1. %%S - Name of source file to encrypt/decrypt, with path.
  2. %%D - Name of encrypted/decrypted destination file, with path.
  3. %%W - Temporary folder, including the trailing backslash.
  4. %%P - Password.
  5. %%E<errorlevel> - Maximum acceptable command errorlevel. For example, %%E2 indicates that errorlevels 0, 1 and 2 are acceptable. This variable can be specified anywhere in a command. If it is absent, only errorlevel 0 is considered successful.

Tip

Tip: For GrandBackup to be able to interact with an external encryptor, the encryptor executable must be accessible by Windows and the environment variable PATH must point to the folder the encryptor is in.

To reset all encryption settings to their default values, press "Restore Defaults".

See also:
Program Preferences


GrandBackup - Preferences - Task Defaults

Preferences: Task Defaults

This tab allows you to configure some additional settings that will work by default for all Tasks unless overridden by a Task's own Advanced settings in Task Properties.

The following default settings can be configured:

  • Run programs
  • Auto Dial
  • Hardware Profile
  • Limit Bandwidth
  • Task Password
  • Log Settings
  • Event Alerts
  • CPU Performance
  • Power Management
  • Email Settings

See also:
Program Preferences
Task Properties


GrandBackup - Task Properties - Advanced - Run Programs

Task Properties: Advanced - Run Programs

You can run an external program either before or after the Task.

Enter the path and program name that should be run before/after running the task. Check “Wait for the program before proceeding” if you want GrandBackup to wait till the program exits before the actual copying starts (or before the Task is considered finished).

Note

Note:
The program can be an EXE or BAT file, or any other file that you can run from the Windows command prompt.

To minimize errors while executing batch files automatically, the following syntax is recommended in the Run Program field:

cmd /c "x:\batch_file_path\batch_file_name.bat",

where x: is the appropriate drive letter.

See also:
Task Properties
Quick Start


GrandBackup - Task Properties - Advanced - Autodial

Task Properties: Advanced - Autodial

This subsection is for configuring the dial-up settings for the Task.

Connect before running the Task - Select the dial-up connection that must be established before running the Task. This is useful for connecting to a remote computer hosting Source or Destination files.

Check “Disconnect after running the Task” to hang up the modem after copying. Conveniently, this only works if the connection was initiated by GrandBackup.

See also:
Task Properties
Quick Start


GrandBackup - Task Properties - Advanced - Hardware Profile

Task Properties: Advanced - Hardware Profile

Skip when current hardware profile is - This only makes sense if you make use of more than one hardware profile on your PC.

If you use the Windows Hardware Profiles feature, you can set up separate Tasks for specific computer configurations.

For example, if you are using a portable computer, you may want to activate particular devices and services, depending on whether your computer is docked or undocked. You can do this by using the Hardware Profiles feature in Windows. For more information on this feature see the Windows Help file.

Once you have configured additional Hardware Profiles in Windows, you can disable certain GrandBackup Tasks depending on the current hardware configuration.

See also:
Task Properties
Quick Start


GrandBackup - Task Properties - Advanced - Bandwidth

Task Properties: Advanced - Limit Bandwidth

You can set a limit to the maximum data transfer rate, so that GrandBackup does not hog the bandwidth, whether network or local bus, and interfere with other applications.

Limit maximum data transfer speed - Adjust or type in the desired data transfer limit.

See also:
Task Properties
Quick Start


GrandBackup - Task Properties - Advanced - Password

Task Properties: Advanced - Task Password

Enter a password to prevent other users from changing the Task's properties.

Note

Note:
By default, GrandBackup Task protection feature is disabled, so please remember to assign a password, if necessary, at your earliest convenience.

Assigning a Password

To assign a password, type or paste it into the Password field, then repeat in Confirm password to verify.

You can also type a reminder in the appropriate field (a phrase to help you recall the password if by any chance you forget it). Every time the program asks for a password, the Reminder button will also appear, pressing which will show the Reminder phrase.

Once the password is set, you will not be able to change the Task Properties without it. Users can still run the Task without knowing the password.

Caution

Caution:
If you forget the password it cannot be recovered.

To remove password protection, delete the two password entries.

See also:
Task Procperties
Quick Start


GrandBackup - Task Properties - Advanced - Log Settings

Task Properties: Advanced - Log Settings

Enable activity logging - If this is checked, GrandBackup will record its real-time activity (like Task startups, processed file names, etc.) in the log file you have specified.

Log file name:

Type in any file name you like.

Caution

Note:
The log file name must be a valid file name with an extension.
If you don't specify the full path to the log file here, GrandBackup will save the log file in the program folder.

Maximum Log file size:

GrandBackup overwrites the log file when it grows beyond a certain size. You can change this size limit by specifying a number in the box labeled Maximum log file size. The file size is measured in kilobytes (KB). If you set this number to zero, GrandBackup will overwrite the log file every time it starts.

Records to be included in the Log:

You can reduce the size of the Log by excluding unneeded records. This allows you, for instance, to log only errors and warnings rather than all the various file-copying messages. It is recommended that you do not change these options until you are familiar with the GrandBackup operations and the Log. After you have run GrandBackup for a few days and are satisfied with its performance, feel free to adjust these settings to your liking.

General messages - Log Task startup, pause, end, suspend, etc. and summary information.

Messages about normally processed files - Log every normally processed filename.

Messages about skipped files - Log every skipped filename.

Warning messages - Log warnings.

Error messages - Log critical errors.

FTP commands and responses - Log FTP-related messages.

External programs' console output - Log the output of external compressors/encryptors, if applicable.

See also:
Task Properties
Quick Start


GrandBackup - Task Properties - Advanced - Event Alerts

Task Properties: Advanced - Event Alerts

Use this subsection to control GrandBackup behavior when various events occur. For example, you can select the sound that will be played when a backup Task is started or completed or a critical error occurs, etc...

You can personalize alerting messages and sounds for each of the three possible ways of executing a Task:
1) Scheduled Task Run - for Tasks run automatically using GrandBackup Internal Scheduler;
2) Manual Task Run - for Tasks run manually by pressing the [image] Run button on the toolbar or the "Enter" key;
3) Application Silent Mode - a special command-line mode started by the command “grandbackup.exe /silent”; this may come in handy if you wish to run a Task automatically using MS Windows Task Scheduler and utilize GrandBackup event alerts.

You can select individual alert settings for the following events:
Task started - this event is triggered by every Task startup.
File processing - every file operation (copy, move, etc.).
Disk Spanning (Disk full) - this event takes place if there is no free space, allowing you to insert the next disk. This event will only be triggered if Destination is a removable media device, in the case of a fixed disk an Error event will be triggered.
Critical Error - every Task error message.
Warning - every Task warning message.
Task Completed - triggered when a Task is done.

You can use the following notification types:
Show message dialog
Show balloon message in system tray
Play sound
Send email to (except for File processing)

See also:
Task Properties
Quick Start


GrandBackup - Task Properties - Advanced - CPU Performance

Task Properties: Advanced - CPU Performance

GrandBackup performs copying as a background task. By default, this is done with minimal impact on the foreground applications you are running. This makes the backup process less intrusive, but also a little slower than normal. Set the priority to a level between Idle and Realtime (if you choose the latter, all applications other than GrandBackup will work very slowly) to suit your needs.

Recommended setting: Idle (lowest CPU consumption).

See also:
Task Properties
Quick Start


GrandBackup - Task Properties - Advanced - Power Management

Task Properties: Advanced - Power Management

Power Management options:

Do not start the Task when the computer is running on batteries - This option specifies whether a scheduled task is prevented from starting while your computer is running on batteries. Some programs frequently access the hard disk, for example, which drains the batteries faster. You can extend your batteries' life by checking this box.

Wake the computer to start the Task - This, when checked, wakes the computer to run the task at a scheduled time if the computer is in Sleep mode and uses OnNow power management.

When switching to battery mode, all the running Tasks should:

Continue as before - All previously started GrandBackup tasks will continue unaffected.

Suspend - GrandBackup will go in Suspend mode ( [image]) until you manually switch this mode OFF.

Abort/Stop - All running GrandBackup Tasks will terminate ( [image]) when your computer switches to battery power.

See also:
Task Properties
Quick Start


GrandBackup - Task Properties - Advanced - Email Settings

Task Properties: Advanced - Email Settings

Use this subsection to tailor emailing parameters individually for a particular Task.

Use custom Emailing settings for this Task - Selecting this option will allow you to specify the SMTP server/port and fill in the <To:>, <From:> and <Subject:> fields for email notifications configured in Event Alerts for this Task.

Check "Perform SMTP Authentication", if necessary, and provide User name and Password.

After all of the above is done, press "Send Test Email" to test the notification system.

See also:
Task Properties
Quick Start


GrandBackup - Task Properties

Task Properties

Tip:
Open the Quick Start help page to view the very basic steps you need to follow to start using GrandBackup.

A Task is a set of options that define what files should be copied, where to, how often, etc.

There are several (sub)sections of the Task properties window, which can be shown by selecting the respective (sub)category in the panel on the left. Click on the links below to find more information about each (sub)category:

1. | General - Show/specify the Task's name, primary action, and user authentication if applicable
2. | Source - Show/specify the source folder(s)
3. | Destination - Show/specify the destination resource
4. | File Filters - Show/specify the files to be included in (excluded from) your backup
5. | Compression - Show/specify the settings for compression: filename, password, etc.
6. | Encryption - Show/specify the settings for encryption: algorithm, password, etc.
7. | Old Versions - Show/specify what to do with old file versions
8. | Obsolete Files - Show/specify what to do with obsolete files
9. | Options - Show/specify several uncategorized Task options
10. | Error Handling - Show/specify the error-handling settings
11. | Autorun and Schedule - various Task triggers
11.1. | Internal Schedule - Task run times and frequency
11.2. | Media SmartDetect - Run the Task on a specified medium, when detected
11.3 | Folder Monitor - Run the Task when folder contents change
11.4 | Hot Key - Run the Task with a Windows-wide global Hot Key
11.5 | MS Task Scheduler - Run the Task under MS Task Scheduler
12. | Advanced - Advanced options to override the defaults, if necessary
12.1. | Run Programs - Run external programs before and/or after the Task
12.2. | Auto Dial - Establish connection to remote computers
12.3. | Hardware Profile - Skip the Task on some Hardware Profiles
12.4. | Limit Bandwidth - Limit maximum data transfer rate
12.5. | Task Password - Protect the Task's settings with a password
12.6. | Log Settings - Log file name, size and contents
12.7. | Event Alerts - Alert the user to various Task events
12.8. | CPU Performance - Tweak the Task-related CPU performance
12.9. | Power Management - Power-related settings for the Task
12.10. | Email Settings - Email notification settings for the Task

Note:
The first time GrandBackup performs a Task, it processes files as specified. In subsequent runs, it only copies those files that are newer or updated since the previous run of the Task.

See also:
Quick Start


GrandBackup - Task Properties - General

Task Properties: General

Tip:
Open the Quick Start help page to view the very basic steps you need to follow to start using GrandBackup.

Task Name

You can assign a suitable name to each Task to describe its purpose.

The name can be any text string; there can also be two or more tasks with the same name.

Task Action

Choose backup type from the drop-down list. Both Backup and Synchronize are incremental operations with only modified data copied.

  • Backup - Copy all files from Source to Destination.
  • Synchronize - Copy files both ways - synchronize Source and Destination to match exactly. Synchronization is useful for managing files at two different locations. It allows you to add or edit files in either Source or Destination.
  • Move - Files are copied and then deleted from Source.

Authentication

When either Source or Destination (or both) is a restricted resource that requires user authentication to be accessed, this is where you enter the user/password combination for this particular Task to work.

Task ID

As opposed to Task Name, there is Task ID (Identifier) — a 21-digit hexadecimal number, unique for each of the GrandBackup Tasks. This ID is randomly generated by GrandBackup and stays constant throughout the Task's life.

Task ID can be used to run a Task from Microsoft Task Scheduler or the command line.

Tip:
Task ID is a read-only field, but you can easily copy that hexadecimal number to the clipboard and paste it somewhere (Windows command-line prompt, for example).

See also:
Task Properties
Quick Start


GrandBackup - Task Properties - Source (Folder(s))

Task Properties: Source

Depending on the Task's type of action, you can select one or more source folders here. If it is Synchronization, select one folder, for Backup you can select any number of source folders.

Tip:
You can use Folder Expansion Variables in source folder names.

Selecting one source folder (for Backup or Synchronization)

Press Browse... to select the folder containing the files you want to copy. Or type the folder path in the field next to this button.

Check "Include Subfolders" to include subfolders in the backup.

Examples:

A folder on your computer may be called

c:\My Documents\Tasks

or a folder on another computer in a network may be called

\\DataServer\Shared\Carrey’s Files

Selecting multiple source folders (for Backup)

Press "Multiple Source Folders >>" to specify several source folders in the same Task.

Press the button highlighted above to open additionl controls (shown in the red oblong below):

To add a new folder to the list, type the full path in the Source Folder field (or press "Browse..." and find an existing folder) and then press "Add". Here, too, you can specify whether to include subfolders in the backup by checking "Include Subfolders" before pressing the "Add" button.

The "Edit" and "Remove" buttons are for editing the Source Folder(s) list.

Alternatively, you may find it convenient to just press "Select Multiple Folders" and check the appropriate boxes, as shown below.

NEXT: After you have chosen what to copy, it is necessary to specify where to copy it. See "Choosing the Destination".

See also:
Task Properties
Quick Start


GrandBackup - Task Properties - Destination

Task Properties: Destination

You can choose between two destination types: Local/LAN and FTP location.

Backup to Local/LAN

Press Browse... to select the destination folder or type in the full destination path to the field next to the button.

Tip:
You can use Folder Expansion Variables in the Destination Folder field to set up an incremental backup.

Examples:

A folder on your computer may be called

c:\Backup of my Documents

or a folder on another computer in a network may be called

\\BackupServer\Monthly Backup

or, using variables,

\\BackupServer\Monthly Backup %date%

Backup to FTP location

GrandBackup performs operations with FTP servers and files on them just as if those files were located on local disks.

The FTP-location settings contain a mandatory host name field, optional fields for entering a login name and password, and a set of connection options.

Normally, the FTP-location configuration dialog looks like this:

The host record contains the address of an FTP server and any additional information that is needed to connect - user name, password and so on.

The fields that can be edited are described below.

FTP address (URL)

The URL may contain: user name, user password, connection port and backup folder.
The URL must contain: the address of the server to connect to.
URL parts have lower priority than dialog fields.

The program recognizes the following URL syntax:

[ftp://][user[:password]@]hostname[:port][/folder]

The URL parts in square brackets are optional. The fields have the following meaning:

ftp://

- standard URL prefix for an FTP resource

user

- user name to login to the server

password

- user password

hostname

- name or IP-address of the host to connect to

port

- the port on which the FTP server is listening

folder

- directory to change to after the program connects to the server

The only required field is the "hostname" field. If the program cannot extract the hostname from the URL, the creation or editing of the host data will fail.

Remember:

  • fields from the FTP-server record always take precedence over parts of the URL;
  • if you do not want other users of the computer to see the passwords to the FTP servers you work with, do not specify them as parts of the URL. Enter them separately in the appropriate fields.

The User and Password fields can contain any characters. The program uses the separators (@ and :) in the URL to figure out the name and password. Thus there is no way, for example, to specify a password containing the ":" character as part of the URL. To solve this problem, enter the password in the password field separately.

Port

The port on which the FTP server is listening. The default is 21.

Folder

The directory to change to after the program connects to the server.

Tip:
You can use Folder Expansion Variables in the Folder field to set up incremental backups.

Login

User name sent to the server during authorization.

When you first create a host record, you can specify just the URL. If you leave the Login field blank, the program automatically fills it with the information from the URL if you subsequently change it.

The Login field has priority over the URL part with the user name, so changes in the URL username part will not take effect unless the Login field is blank! In other words, the program always uses the contents of the Login field if it is not empty.

Password

User password sent to the server during authorization.
This field abides by the same rules as the Login field.

Passive mode

This turns on "passive" FTP-client mode. The client mode determines how data connections are established. In passive mode the client program asks the server to connect with it, while in normal mode the program initiates the connection itself. Passive mode can fail on some networks using firewalls or NAT.

Advanced FTP Settings

Press "Advanced FTP Settings..." to adjust additional FTP options such as proxy server address, reconnection retry count and timeout settings.

Proxy

Use proxy - Check this if you will access the FTP resource via a proxy server

Address - Name or IP-address of the proxy server

Port - Connecting port of the proxy server, 21 by default

Authorize on proxy - Check this if the proxy server requires authentication

Login - Type in the login name here

Password - Type in the password

Options

Number of FTP reconnect retries - Edit or adjust how many times GrandBackup will attempt to access the FTP resource before a connection failure is reported

Pause before each retry (s) - Edit or adjust the interval in seconds between the connection attempts

Time out (s) - Edit or adjust the time in seconds to wait for connection to be established

See also:
Task Properties
Quick Start


GrandBackup - Task Properties - File Filters

Task Properties: File Filters

Task Properties > File Filter List > File Filter Properties

Use File Filters to include or exclude certain files from your backup. GrandBackup allows virtually all possible varieties of file filtering, which can be based on filename, folder in which a file is residing, date and time of file modification, file attributes, file size and so on...

Use the Add..., Modify..., Remove... buttons at the bottom of the Filter List to change the list contents.

To copy all files from Source, leave the default filter setting "Include files matching the wildcard (*.*)".

GrandBackup goes through every file in Source. Only those files that match the Include criteria are copied unless they are excluded by the Exclude filters.

If there are no Exclude filters, all the files meeting the Include criteria are copied. If there are no Include filters, no files are copied.

Note

Note:
File filtering in GrandBackup applies only to Source/Destination of a particular Task.

Two basic approaches to file filtering

One: selectively add the file extensions to be included in the backup:

+ Include files matching the wildcard: '*.doc'.
+ Include files matching the wildcard: '*.xls'.
+ Include files matching the wildcard: '*.txt'.

Other: include all files (*.*) and then exclude those files that are not needed in the backup:

- Exclude files matching the wildcard: '*.~???'.
- Exclude files matching the wildcard: '*.swp'.
- Exclude files matching the wildcard: '*.tmp'.
- Exclude files matching the wildcard: '*.bak'.
+ Include files matching the wildcard: '*.*'.

Filter priority

The arrow buttons on the right are for moving a file filter up/down the priority ladder. The topmost element has the highest priority. For example, the following filter combination
- Exclude files matching the wildcard: '*.*'.
+ Include files matching the wildcard: '*.*'.
will exclude ALL files from the backup, because "Exclude..." is above "Include...".

Testing current filter settings

Press Test Current Filters... to view the list of files that will actually be included in the backup.

You must specify Source and Destination in the Task properties to test the file filters. When you press Test Current Filters..., GrandBackup simulates a real-life backup and therefore needs to "know" the actual Source and Destination.

See also:
Task Properties
Quick Start


GrandBackup - Task Properties - Compression

Task Properties: Compression

Check "Use compression" to save space on the destination drive. GrandBackup has a built-in ZIP-compression module, but you can use any external data-compression utility, like RAR or CAB. GrandBackup will launch such external utilities by appropriately configured commands.

Archiver - select the compressor to be used in the Task. Press Settings... to configure an external compressor.

Tip:
To use the built-in ZIP module, no additional utilities or settings are required, just leave "Built-in ZIP compressor" selected in the drop-down list. The files will be compressed in a PKZIP-compatible format and can be extracted by utilities such as PKUNZIP or WinZip.

Compress each file in a separate archive - Make as many archives in the backup as there are files in Source

Compress all files into a single archive - Put all the files in Source into one large archive in Destination

Archive name ________ - Specify the name of the Destination archive

Archive password - Enter a password to protect the compressed archive. You will need this password to extract the files.

Caution

Caution:
If you forget the password it cannot be recovered.

Compression level - Select the degree of compression, on a scale of 0 to 9, where 0 to 1 corresponds to minimum, 2 to 7 to medium, 8 to 9 to maximum compression (see Preferences: External Compressors).

See also:
Preferences: External Compressors
Task Properties


GrandBackup - Task Properties - Encryption

Task Properties: Encryption

Check "Use encryption" to encrypt files in Destination. GrandBackup has a built-in encryption module supporting the RC4, DES and 3DES algorithms, but you can use any external data-encryption utility. GrandBackup will launch such external utilities by appropriately configured commands.

Password/Re-enter password - Specify a password to protect encrypted data. You will need this password to decrypt the files.

Caution

Caution:
If you forget the password it cannot be recovered.

See also:
Preferences: External Encryptors
Task Properties


GrandBackup - Task Properties - Old Versions

Task Properties: Old Versions

Caution

Caution:
Currently, this feature is only operational in plain Backup/Synchronization mode with local/LAN destinations (no FTP, no compression, no encryption).

This section allows you to configure the way older file versions are handled.

Choose what to do with older file versions:

( ) Do not save older file versions - Discard those, i.e. allow them to be overwritten.

( ) Save older file versions to the same destination folder - Rename them (see below) and keep where they are.

( ) Save older file versions to a separate archive folder - Rename them (see below) and move to a designated folder.
Keep folder structure - Check this if you include subfolders in Source and want them to be mirrored in this designated archive folder.

Number of older file versions to be saved - You can specify how many, if not all, older file versions you would like to keep.

( ) Save all previous versions - Keep all non-current file versions if you think you may still need them.

( ) Save the last ___ version(s) of modified files - Specify the number of most recent older versions to be saved.

GrandBackup will rename older files as follows. "FileName.TXT", for example, will be named "FileName (Version 2001-11-14 21-12-12).TXT", "FileName (Version 2001-12-04 12-34-56).TXT" and so on (using the template "FileName (Version YYYY-MM-DD HH-NN-SS).TXT", where the 14 digits represent the current date and time calculated to the second).

See also:
Task Properties


GrandBackup - Task Properties - Obsolete Files

Task Properties: Obsolete Files

Caution

Caution:
Currently, this feature is only operational in plain Backup/Synchronization mode with local/LAN destinations (no FTP, no compression, no encryption).

This section allows you to configure the way obsolete files (deleted in Source but existing in Destination) are handled.

Here is what you can do with obsolete files:

( ) Leave in Backup - Ignore them.

( ) Delete - Permanently remove from Destination.

( ) Move to Recycle Bin - Remove, but put in the Windows Recycle Bin.

( ) Save deleted files to the same destination folder - Rename them (see below) and keep where they are.

( ) Save deleted files to a separate archive folder - Rename them (see below) and move to a designated folder.
Keep folder structure -Check this if you include subfolders in Source and want them to be mirrored in this designated archive folder.

Use the Delete or Move option if you want the destination copy to match the source exactly, with no extra files. When a file in Source is deleted, its counterpart in Destination gets deleted too. If you delete files from Source, they will be deleted from Destination the next time GrandBackup runs the Task.

Number of deleted file versions to be saved - You can specify how many, if not all, obsolete file versions you would like to keep.

( ) Save all deleted versions - Keep all obsolete file versions if you think you may still need them.

( ) Save the last ___ version(s) of deleted files - Specify the number of most recent obsolete files to be saved.

GrandBackup will rename obsolete files as follows. "FileName.TXT", for example, will be named "FileName (Obsolete 2001-11-04 19-11-33).TXT", "FileName (Obsolete 2001-11-04 21-12-12).TXT" and so on (the 14 digits here represent the current date and time calculated to the second).

See also:
Task Properties


GrandBackup - Task Properties - Options

Task Properties: Options

General Task options:

Keep source files in a subfolder of destination maintaining the source path - Check this if you want the full folder structure of Source to be repeated in the Destination folder.

Try to process "in use" files - Check this to let GrandBackup try to copy, by means of advanced locking techniques, files that are currently in use by other programs. If the program that is currently using the file cannot handle this kind of locking mechanism, it may generate errors.
style='color:red'> [image] Use this option with caution.

Verify files after copying - Check this to make GrandBackup compare source and destination files after copying. GrandBackup will do a CRC32 comparison of each pair of files. Selecting this option will slow down the copying since the files will have to be reopened and reread to be compared.

Note

Note:
File comparison will not be performed on files which are moved to an archive or compressed.

Overwrite destination files even if they are newer than source files - Normally, GrandBackup does not overwrite newer files with older ones. You can check this option to override the default behavior.

Overwrite non-empty destination files by empty (zero length) source files - Check this to allow GrandBackup to overwrite older destination files by newer, but zero-length source files.

Overwrite if modification dates are equal but the source file is bigger than in Destination - In very rare cases, a file may not be copied in full. Leaving this option checked will correct the error on the next run of the Task.

Clear the source Archive bit after copy - Check this to clear the source files' Archive attribute after copying.

Disable index files (task_id.idx) - This is really a troubleshooting/debugging option. Check this ONLY if you know what you are doing or are specifically advised to by our support staff.

See also:
Task Properties


GrandBackup - Task Properties - Error Handling

Task Properties: Error Handling

Retries on errors:

"Number of retries on error", "Pause between retries, sec." - These two fields are self-explanatory, just specify or adjust the numbers.

"Number of errors before the Task is stopped" – An error during file copying, for instance, will result in the file being skipped and reported in the log, but the Task will continue. Use this field to set the number of errors the Task can ignore before it is terminated as failed.

Error flag (the Task will not run as scheduled when the error flag is On):

Auto-reset error flag - Check this if you want the Task to always run as scheduled/triggered, despite any previously encountered errors.

Reset error flag after ___ Second(s), Minute(s), Hour(s), Day(s) - If you want to avoid any faulty runs of the Task, specify a time interval here that will allow you to find the cause of possible errors and eliminate it.

Current Status - The current status of the error flag for the Task (Error/No error).

Reset Now - Press to reset the error flag for the Task manually. The button is grayed out if the current status is No error.

See also:
Task Properties
Quick Start


GrandBackup - Task Properties - Autorun & Schedule

Task Properties: Autorun and Schedule

Don't touch any of the subsections listed below if you do not want GrandBackup to copy files without your knowledge. To start a task manually, press [image] Run on the toolbar or select "Task | Run" from the menu (alternatively, you can press the "ENTER" key).

GrandBackup offers the following options to start a Task automatically.

Internal Schedule - Set up a schedule for the Task based on its desired frequency, a specific run-time, or a system event.

Media SmartDetect - Start the Task whenever a specified removable drive/disk is connected/inserted.

Folder Monitor - Run the Task when the contents of a folder change.

Hot Key - Start the Task with a hot-key (combination).

MS Task Scheduler - Configure MS Task Scheduler to run the Task.

See also:
Task Properties


GrandBackup - Task Properties - Autorun and Schedule - Internal Schedule

Task Properties: Autorun and Schedule - Internal Schedule

Task Properties > Schedule > Schedule Dialog

Tip:
Open the Quick Start help page to view the very basic steps you need to follow to start using GrandBackup.

Autorun using the Internal Schedule

If you want to make backups according to a schedule, GrandBackup provides practically all possible variations.

Use the Add..., Modify..., Remove... buttons of the Internal Schedule List to edit its contents.

See also:
Task Properties
Command Line Options
Quick Start


GrandBackup - Task Properties - Autorun and Schedule - Media SmartDetect

Task Properties: Autorun and Schedule - Media SmartDetect

SmartDetect: Run the Task when the following disk is detected - Check this to enable the Media SmartDetect feature.

"Drive Letter:", "Volume Label:", "Volume Serial Number:" - These three fields are self-explanatory and are normally filled in automatically when you double-click a drive in the list of currently available drives (or select it and press "Add to SmartDetect" -- see below). For SmartDetect to work, at least one of these fields must contain data, the other/third one(s) can be left blank.

If the real-life value of a field (e.g. Drive Letter) is not fixed but can depend on the configuration, the field should best be left blank, if possible.

[ ] Skip Task if this disk is not present - This is useful if any other Autorun/Schedule triggers for the Task are enabled, which will generate errors if the removable drive is not connected at run time.

Currently available drives - A list of drives currently recognized by Windows.

Add to SmartDetect - Press this after selecting a drive in the list to automatically fill in all or some of the three SmartDetect fields above. You can then edit the fields manually, if appropriate.

See also:
Task Properties
Quick Start


GrandBackup - Task Properties - Autorun and Schedule - Folder Monitor

Task Properties: Autorun and Schedule - Folder Monitor

Run the Task when folder contents change

This option allows to keep an eye on the source folder and to monitor any file system activity, including changes in:

file and folder names;
file and folder attributes;
file size;
file/folder last write, last access and creation date/time;
file/folder security attributes.

When something changes in the source folder (or in one of its subfolders if "Source - Include Subfolders" is checked), GrandBackup will automatically initiate a backup, so your backup copy will be always up to date.

This option makes for practically real-time backups, which is useful if a Task requires an especially fast refresh of the backup copy.

Note:
Only Windows NT/2000/XP give out the necessary notifications over a network, in Windows 95/98/Me this feature will work only for local disks (let alone Novell Netware and UNIX).

See also:
Task Properties
Quick Start


GrandBackup - Task Properties - Autorun and Schedule - Hot Key

Task Properties: Autorun and Schedule - Hot Key

Hot Key - Run the Task with a Windows-wide hot key

Hot key to start this Task - Click on this field, then enter the desired key (combination) to start the Task with at any time. The hot key combination may include any combination of the keys Shift, Ctrl and Alt. To reset the field, press "Reset to 'None'".

If you want GrandBackup to come on top of other windows when you start the Task, check "Bring the main program window to front".

See also:
Task Properties
Quick Start


GrandBackup - Task Properties - Autorun and Schedule - MS Task Scheduler (r)

Task Properties: Autorun and Schedule - MS Task Scheduler (r)

Autorun Using Microsoft(r) Task Scheduler

Normally, to enable scheduled backups you must configure GrandBackup to start every time Windows starts, otherwise your Tasks will not run automatically.

However, using this GrandBackup feature you can schedule your backups using MS Task Scheduler included in Internet Explorer version 4 and above or Windows 98/Me/2000/XP. This allows you to avoid starting GrandBackup with every startup of Windows: rather, it will be started by Task Scheduler as necessary, launch the scheduled Task and terminate automatically.

You should first set up GrandBackup and make sure it works to your satisfaction before using this feature, as it operates with all the settings you have made in the main program. It is recommended that you set the /Silent=On command-line option.

You can set the /ExitWhenIdle option to on, GrandBackup will then close when finished. Or you can leave this option off to see that the program did in fact run at the scheduled time; you can also view the log file to make sure your backup was made correctly.

Tip:
To launch MS Task Scheduler:
1) Windows 95/98: Open "My Computer", or whatever you have named it. Double-click the "Task Scheduler";
2) Windows Me/2000/XP: Select "Start" - "Settings" - "Control Panel" and then double-click "Scheduled Tasks".

See also:
Task Properties
Quick Start


GrandBackup - Task Properties - Advanced

Task Properties: Advanced

All of these advanced properties are set up as defaults for all Tasks in Preferences - Task Defaults, here you can override the default values to configure individual settings for a particular Task.

The following advanced settings can be configured separately for each Task:

  • Run programs
  • Auto Dial
  • Hardware Profile
  • Limit Bandwidth
  • Task Password
  • Log Settings
  • Event Alerts
  • CPU Performance
  • Power Management
  • Email Settings

See also:
Task Properties
Preferences - Task Defaults
Quick Start


GrandBackup - Command Line Options

Command Line Options

You can run GrandBackup with the following command-line parameters.

Parameter: | Description:
/Help or /? | Shows this Help window
/Show | Shows the main window
/ShowAboutBox | Shows the About window
/Icon=[On|Off] | Shows/hides the icon in the system tray
/Exit | Exits the application, prompts the user if busy
/ExitNow | Exits the application immediately
/ExitWhenIdle | Exits the application after Task completion
/RunAll | Runs all Tasks
/RunGroup=GroupName | Runs all Tasks in a specified group
/RunTask=TaskName | Run a specified Task by Task Name
/RunTaskById=TaskId | Run a specified Task by Task ID
/Suspend=[On|Off] | Toggles the Task Suspend mode
/Silent=[On|Off] | Toggles the application's Silent mode

Examples:

grandbackup.exe /RunTaskById=AB58947FE3280BE43CC2 /Silent=On /ExitWhenIdle
(the command line will start the Task with Task ID AB58947FE3280BE43CC2 in Silent mode and will exit GrandBackup when the specified Task is finished)

grandbackup.exe /RunTask="Task 1" /RunTask="Task 2" /RunTask="Task 3" /ExitWhenIdle
(a batch command)

Note

Note:
Running GrandBackup without any command-line parameters shows the main window.

See also:
Task Properties


GrandBackup - Variable-Naming

Using variables in folder and file names

You can enter variables as parts of folder names in Source, Destination, Versions Archive, Deleted Archive folders, or archive file name. GrandBackup expands these variables to the corresponding values when it runs the backup Task. There are three types of variables: Built-in variables, Windows Special Folders and Environment variables. Variable names must be enclosed in % signs (for example: %var%).

Tip

Note:
All variables are case-insensitive. You can type them all in uppercase "%SOURCE%", combined uppercase and lowercase "%Source%", or all in lowercase characters "%source%". The result will be the same.

Built-in Variables
The following variables expand to their corresponding values when the Task is run.

Variable Name: | Description:
Source | The Source folder full path *, ***
SourceTop | Only the rightmost folder name of the Source folder full path *, ***
SourceExcludeRoot | The Source folder full path without the root *, ***
SourceRoot | The drive portion of the path specified in Source (drive letter or UNC server root). **, ***
Destination | The Destination folder full path *
DestinationTop | Only the rightmost folder name of the Destination folder full path *
DestinationExcludeRoot | The Destination folder full path without the root *
DestinationRoot | The drive portion of the path specified in Destination (drive letter or UNC server root). **
VersionsArchive | The File Versions Archive folder full path *
DeletedArchive | The Deleted Files Archive folder full path *
ComputerName | Name of the computer GrandBackup is running on
UserName | Name of the logged-in user
TaskName | Task Name *
TaskId | Task ID (a 21-character code, unique for each Task) *

* Values as in Task Properties.
** For local folders with drive letters, the result is in the form “<drive>”. For folders with a UNC path the result is in the form “\\<servername>\<sharename>”. If the given source path contains neither style of path prefix, the result is an empty string.
*** If you have multiple Source folders in your Backup task - you can access specific folder by adding a number representing this folder order in list. For example: %Source1%, %SourceTop2%, %SourceRoot2%, etc.

Examples:
If Source is "c:\Documents and Settings\Mike\" then in Destination you can type something like "g:\Backup\%SourceExcludeRoot%", which expands to "g:\Backup\Documents and Settings\Mike\").
If Source is "c:\Documents and Settings\Mike\" then in Destination you can type something like "g:\Backup\%SourceTop%", which expands to "g:\Backup\Mike\").

DateTime | Date and time as YYYYMMDDHHMMSS
Date | Date as YYYYMMDD
Year | Year as a 4-digit number
Month | Month as a 2-digit number
Day | Day as a 2-digit number
Time | Time as HHMM
Hour | Hour as a 2-digit number
Min | Minutes as a 2-digit number
Sec | Seconds as a 2-digit number
MonthOfYearStr | Month as a short name (Jan, Feb, Mar, etc.)
MonthOfYearString | Month as a full name (January, February, March, etc.)
WeekOfYear | Week of the year number *
WeekOfMonth | Week of the month number *
WeekDayStr | Day of the week as a short name (Mon, Tue, Wed, etc.)
WeekDayString | Day of the week as a full name (Monday, Tuesday, Wednesday, etc.)
WeekDayNum | Day of the week number *
DayOfYear | Number of days from December 31st of the previous year
DayOfWeek | Day of the week number *
HourOfYear | Number of hours from 12:00 AM of the first day of the year
HourOfWeek | Number of hours from 12:00 AM of the first day of the week *
HourOfMonth | Number of hours from 12:00 AM of the first day of the month
MinuteOfYear | Number of minutes from 12:00 AM of the first day of the year
MinuteOfMonth | Number of minutes from 12:00 AM of the first day of the month
MinuteOfWeek | Number of minutes from 12:00 AM of the first day of the week *
MinuteOfDay | Number of minutes from 12:00 AM of the same day
SecondOfYear | Number of seconds from 12:00:00 AM on the first day of the year
SecondOfMonth | Number of seconds from 12:00:00 AM on the first day of the month
SecondOfWeek | Number of seconds from 12:00:00 AM of the first day of the week *
SecondOfDay | Number of seconds from 12:00:00 AM of the same day

* GrandBackup defines the week according to the ISO 8601 standard, i.e. the week starts on Monday and ends on Sunday.

Example:
On December 31st 2002, the folder name "C:\Backup\%Date%" will expand to "C:\Backup\20021231".

Windows Special Folders
The following variables expand to their corresponding values when the Task is run.

Variable Name: | Description:
WindowsDesktop | Desktop Folder *
WindowsInternet | Internet Folder
WindowsPrograms | Path to "Start -> Programs" menu *
WindowsControls | WindowsControls
WindowsPrinters | WindowsPrinters
WindowsPersonal | Path to "My Documents" folder *
WindowsFavorites | Path to "Favorites" folder *
WindowsStartup | Path to "Start -> Programs -> Startup" menu *
WindowsRecent | Path to "Recent" folder *
WindowsSendto | Path to "Send To" folder *
WindowsBitbucket | WindowsBitbucket
WindowsStartMenu | Path to "Start" menu *
WindowsDesktopDirectory | Path to "Desktop" folder *
WindowsDrives | WindowsDrives
WindowsNetwork | WindowsNetwork
WindowsNethood | WindowsNetwork
WindowsFonts | Path to Window's "Fonts" folder (usually "C:\WINDOWS\Fonts")
WindowsTemplates | WindowsTemplates
WindowsCommonStartMenu | WindowsCommonStartMenu
WindowsCommonPrograms | WindowsCommonPrograms
WindowsCommonStartup | WindowsCommonStartup
WindowsCommonDesktopDirectory | WindowsCommonDesktopDirectory
WindowsAppData | WindowsAppData
WindowsPrinthood | WindowsPrinthood
WindowsAltStartup | WindowsAltStartup
WindowsCommonAltStartup | WindowsCommonAltStartup
WindowsCommonFavorites | WindowsCommonFavorites
WindowsInternetCache | WindowsInternetCache
WindowsCookies | WindowsCookies
WindowsHistory | WindowsHistory

* A different value for each Windows user

Environment Variables

These variables expand to their corresponding Windows environment values.

%VAR% Value of the environment variable VAR.

Example:
On a Windows NT/2000/XP system on a network, the folder name %USERPROFILE% may expand to C:\Documents and Settings\Administrator.

Tip

Tip:
You can add your own variables or list current environment variables using Windows "SET" command. See Windows Help for details.

See also:
Command-Line Options


GrandBackup - Using the Keyboard

Using the Keyboard

You can use keyboard shortcuts to the following GrandBackup commands.

To do this | Press this
Create a new Task | Insert
Display the properties of the selected Task | Alt+Enter
Remove the selected Task (Task Group) | Delete
Start the selected Task (Task Group) | Enter
Suspend or resume a backup Task | Ctrl+S
Invoke the GrandBackup Help file | F1
Activate the GrandBackup menu | Alt or F10 or Alt+underline letter

These can be used in all editable fields & dialogs:

To do this | Press this
Select all text | Ctrl+A
Select a portion of text | Shift+left or right arrow
Copy a selection to the clipboard | Ctrl+C or Ctrl+Insert
Insert clipboard contents | Ctrl+V or Shift+Insert
Cut a selection and put it on the clipboard | Ctrl+X or Shift+Del
Undo last text action | Ctrl+Z

See also:
Quick Start


GrandBackup - Making Shortcut to a Backup task

Making a Shortcut to a Task

A shortcut is a quick way to start a frequently used Task without having to navigate the GrandBackup user interface.

You can make Shortcuts to any of your GrandBackup Tasks and place them anywhere you like, such as on the desktop, on the Start menu, or in any folder.

To make a shortcut to a Task:

  • Select a Task by clicking on it in the Task List.
  • On the Tools menu, select Create Task Shortcut...
  • In the Create Shortcut dialog box enter the shortcut name and choose the folder where you want it to be placed. You can also check "Shut down GrandBackup after the Task is finished".
  • Press OK.

That's all. The shortcut is where you like it and you can double-click it to start the Task.

See also:
Task Properties - Schedule
Task Properties
Quick Start


GrandBackup - Using accessibility features

Using accessibility features in GrandBackup

In addition to the accessibility products and services available in Microsoft Windows, the following features make GrandBackup convenient for people with disabilities.

Screen Reader compatibility

All windows, menus and dialogs in GrandBackup are Screen Reader compatible.

Using sounds

If you have cognitive disabilities, you may want to clear the "Play sound" check boxes to prevent distractions. You can enable or disable selective sounds for Task start/finish, error and warning alerts so that they do not interfere with an active screen reader.

Resizable windows

You may resize almost any window in GrandBackup as needed. It is possible to display only the main window.

Keyboard access

All features in GrandBackup are accessible with either the keyboard or the mouse. For more information about keyboard access, look up keyboard shortcuts in the Help Index.

Work comfortably with large fonts and high contrast

GrandBackup has been extensively tested for use with large fonts and high contrast modes to make your work as comfortable as possible.

See also:
Quick Start


GrandBackup - Preferences - Task Defaults - Event Alerts

Preferences: Task Defaults - Event Alerts

These settings can be found under the Task Defaults tab in Preferences (choose Options -> [image] Task Defaults... from the menu).

This section of Task Defaults allows you to configure the [image] Event Alerts settings that will work by default for all Tasks unless overridden by a Task's individual Event Alerts settings in Task Properties. The available options are the same and are explained in the Task Properties -> Advanced -> Event Alerts Help topic.

See also:
Task Properties -> Advanced -> Event Alerts
Task Properties
Program Preferences: Task Defaults
Program Preferences


GrandBackup - Preferences - Task Defaults - Auto Dial

Preferences: Task Defaults - Auto Dial

These settings can be found under the Task Defaults tab in Preferences (choose Options -> [image] Task Defaults... from the menu).

This section of Task Defaults allows you to configure the [image] Auto Dial settings that will work by default for all Tasks unless overridden by a Task's individual Auto Dial settings in Task Properties. The available options are the same and are explained in the Task Properties -> Advanced -> Auto Dial Help topic.

See also:
Task Properties -> Advanced -> Auto Dial
Task Properties
Program Preferences: Task Defaults
Program Preferences


GrandBackup - Preferences - Task Defaults - Bandwidth

Preferences: Task Defaults - Bandwidth

These settings can be found under the Task Defaults tab in Preferences (choose Options -> [image] Task Defaults... from the menu).

This section of Task Defaults allows you to configure the [image] Bandwidth settings that will work by default for all Tasks unless overridden by a Task's individual Bandwidth settings in Task Properties. The available options are the same and are explained in the Task Properties -> Advanced -> Bandwidth Help topic.

See also:
Task Properties -> Advanced -> Bandwidth
Task Properties
Program Preferences: Task Defaults
Program Preferences


GrandBackup - Preferences - Task Defaults - Email Settings

Preferences: Task Defaults - Email Settings

These settings can be found under the Task Defaults tab in Preferences (choose Options -> [image] Task Defaults... from the menu).

This section of Task Defaults allows you to configure the [image] Email Settings that will work by default for all Tasks unless overridden by a Task's individual Email Settings in Task Properties. The available options are the same and are explained in the Task Properties -> Advanced-> Email Settings Help topic.

See also:
Task Properties -> Advanced-> Email Settings
Task Properties
Program Preferences: Task Defaults
Program Preferences


GrandBackup - Preferences - Task Defaults - Hardware Profile

Preferences: Task Defaults - Hardware Profile

These settings can be found under the Task Defaults tab in Preferences (choose Options -> [image] Task Defaults... from the menu).

This section of Task Defaults allows you to configure the [image] Hardware Profile settings that will work by default for all Tasks unless overridden by a Task's individual Hardware Profile settings in Task Properties. The available options are the same and are explained in the Task Properties -> Advanced-> Hardware Profile Help topic.

See also:
Task Properties -> Advanced-> Hardware Profile
Task Properties
Program Preferences: Task Defaults
Program Preferences


GrandBackup - Preferences - Task Defaults - Activity Logging

Preferences: Task Defaults - Activity Logging

These settings can be found under the Task Defaults tab in Preferences (choose Options -> [image] Task Defaults... from the menu).

This section of Task Defaults allows you to configure the [image] Activity Logging settings that will work by default for all Tasks unless overridden by a Task's individual Activity Logging settings in Task Properties. The available options are the same and are explained in the Task Properties -> Advanced-> Activity Logging Help topic.

See also:
Task Properties -> Advanced-> Activity Logging
Task Properties
 Program Preferences: Task Defaults
Program Preferences


GrandBackup - Preferences - Task Defaults - Task Password

Preferences: Task Defaults - Task Password

These settings can be found under the Task Defaults tab in Preferences (choose Options -> [image] Task Defaults... from the menu).

This section of Task Defaults allows you to configure the [image] Task Password settings that will work by default for all Tasks unless overridden by a Task's individual Task Password settings in Task Properties. The available options are the same and are explained in the Task Properties -> Advanced-> Task Password Help topic.

See also:
Task Properties -> Advanced-> Task Password
Task Properties
Program Preferences: Task Defaults
Program Preferences


GrandBackup - Preferences - Task Defaults - CPU Performance

Preferences: Task Defaults - CPU Performance

These settings can be found under the Task Defaults tab in Preferences (choose Options -> [image] Task Defaults... from the menu).

This section of Task Defaults allows you to configure the [image] CPU Performance settings that will work by default for all Tasks unless overridden by a Task's individual CPU Performance settings in Task Properties. The available options are the same and are explained in the Task Properties -> Advanced-> CPU Performance Help topic.

See also:
Task Properties -> Advanced-> CPU Performance
Task Properties
Program Preferences: Task Defaults
Program Preferences


GrandBackup - Preferences - Task Defaults - Power Management

Preferences: Task Defaults - Power Management

These settings can be found under the Task Defaults tab in Preferences (choose Options -> [image] Task Defaults... from the menu).

This section of Task Defaults allows you to configure the [image] Power Management settings that will work by default for all Tasks unless overridden by a Task's individual Power Management settings in Task Properties. The available options are the same and are explained in the Task Properties -> Advanced-> Power Management Help topic.

See also:
Task Properties -> Advanced-> Power Management
Task Properties
Program Preferences: Task Defaults
Program Preferences


GrandBackup - Preferences - Task Defaults - Run Programs

Preferences: Task Defaults - Run Programs

These settings can be found under the Task Defaults tab in Preferences (choose Options -> [image] Task Defaults... from the menu).

This section of Task Defaults allows you to configure the [image] Run Programs settings that will work by default for all Tasks unless overridden by a Task's individual Run Programs settings in Task Properties. The available options are the same and are explained in the Task Properties -> Advanced-> Run Programs Help topic.

See also:
Task Properties -> Advanced-> Run Programs
Task Properties
Program Preferences: Task Defaults
Program Preferences


GrandBackup - Academic Pricing

Academic Pricing Qualifications

The academic qualifications listed below are a guideline to help determine the eligibility of an institution or individual for academic status to purchase discounted products from ObjectRescue.

Education Discounts

Eligible Academic and Educational Institutions and the Students, Faculty and Staff of accredited Colleges, Universities and other institutions can purchase ObjectRescue software at a discount of up to 50%. If you wish to purchase Academic versions of ObjectRescue software you should e-mail sales@objectrescue.com for pricing and purchase arrangements.

An academic institution must be organized and operated exclusively for education purposes and meet the criteria for one of the following:

  • Be a public or private school, vocational school, correspondence school, junior college, university, scientific or technical institution.
  • Be a public elementary, secondary, vocational and/or correspondence school accredited by an applicable Board of Education.
  • Be a private elementary, secondary, vocational and/or correspondence school accredited by a national, regional or state agency, including the administrative offices.
  • Be a preschool meeting all of the following criteria:
    • is an early childhood program that serves a minimum of ten children aged two through five
    • has been in operation for at least one year
    • uses public or private, profit or non-profit facilities
    • is government licensed, regulated or accredited; and
    • provides educational and/or childcare services.

Other Qualified Institutions may include the following:

  • Hospitals that are wholly owned and operated by a qualified academic institution as described above.
  • Libraries that are wholly owned and operated by a qualified academic institution as described above.
  • Museums meeting all of the following criteria:
    • are a public or private non-profit agency or institution organized on a permanent basis for essentially education or aesthetic purposes,
    • utilizes a professional staff,
    • owns or utilizes tangible objects, cares for them and exhibits them to the public on a regular basis.

When requested the institution is obligated to show proof of applicable accreditation by certificate or letter that verifies accreditation status to ObjectRescue satisfaction of compliance with the applicable qualification criteria.

Students, Faculty and Staff of Accredited Colleges/Universities:

Must have a verifiable institution or campus identification card and may also be required to provide additional proof of eligibility in the way of a verifiable payment receipt or current semester enrolment certificate. This must be provided to ObjectRescue prior to completion of purchase.

Acceptance of Academic Qualifications is at the sole discretion of ObjectRescue or its representatives.

See also:
Purchasing Information


GrandBackup - Schedule Properties Dialog

Schedule Properties Dialog

Task Properties > Schedule > Schedule Properties

GrandBackup provides a great variety of Task recurrence if you want to make backups according to a schedule.

Within Minutes - Run every few minutes – enter minutes
Within Hours - Every few hours – enter hours
Within Days - Every few days – enter days
Within Weeks - Run every Nth week, on:
Mondays *
Tuesdays *
Wednesdays *
Thursdays *
Fridays *
Saturdays *
Sundays *
Within Months - Run every Nth day of the month(s), or every [first | second | third | fourth | last] weekday of the month(s):
January
February
March
April
May
June
July
August
September
October
November
December
At system startup – enter the wait time before Run **
At program startup – enter the wait time before Run **
At system shutdown – GrandBackup runs the Shutdown tasks when it exits; enter a time limit in seconds to avoid an "endless" task run
Once – select the date and time when you want the Task to start

* Uncheck the days of the week when GrandBackup should not run the Task. This is useful if, for instance, you want to skip the weekends.
** The wait time is recommended to alleviate processor/HDD overload on startup.

See also:
Task Properties - Schedule
Task Properties
Quick Start


GrandBackup - File Filter Properties

File Filter Properties

Task Properties > File Filter List > File Filter Properties

There are two basic types of file filters: " + Include ..." and " - Exclude ...".

You can filter files by the following criteria:

  • File:
    • Matching a wildcard (for example, "*.*");
    • Single specified file: (for example, "c:\source dir\doc1.doc").
  • Folder:
    • Name/Path contains [value] (for example, "/data/")
    • Empty folder (by default, empty folders are excluded from backup)
  • Date and Time (File Modified, File Created, File Last Accessed)
    • in the last [value] months
    • in the last [value] days
    • in the last [value] hours
    • in the last [value] minutes
    • date between [date] and [date]
    • time between [time] and [time]
  • Attributes
    • Read only
    • Archive
    • Hidden
    • System
    • Compressed
    • Encrypted
  • Size (in Bytes, KB, MB)
    • Less than (<) [value]
    • Equal to (=) [value]
    • Greater than (>) [value]

You can select only one file filter in this dialog box. To add another filter - press Add... in Task Properties - File Filters.

See also:
Task Properties - File Filters
Task Properties
Quick Start